### Method

# GLib BookmarkFile set_is_private

since: 2.12

#### Declaration

    void
    g_bookmark_file_set_is_private (
      GBookmarkFile* bookmark,
      const gchar* uri,
      gboolean is_private
    )

#### Description

Sets the private flag of the bookmark for `uri`.

If a bookmark for `uri` cannot be found then it is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_private`

  Type: `gboolean`

  `TRUE` if the bookmark should be marked as private.